Package net.shibboleth.saml.profile.config

# Interface SAMLProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`

All Known Subinterfaces:
  `ArtifactResolutionProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `AttributeQueryProfileConfiguration`, `AttributeQueryProfileConfiguration`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`, `SAML2AssertionProducingProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLArtifactAwareProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLAssertionConsumingProfileConfiguration`, `SAMLAssertionProducingProfileConfiguration`, `SingleLogoutProfileConfiguration`

public interface SAMLProfileConfiguration extends ProfileConfiguration
Common interface for SAML profile configurations.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`Function<MessageContext,Exception>`
`getMessageHandler(MessageContext messageContext)`
Get a custom handler for a SAML message produced or consumed by this profile.
`boolean`
`isSignRequests(ProfileRequestContext profileRequestContext)`
Get the predicate used to determine if generated requests should be signed.
`boolean`
`isSignResponses(ProfileRequestContext profileRequestContext)`
Get the predicate used to determine if generated responses should be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

## Method Details

### isSignRequests

@ConfigurationSetting(name="signRequests") boolean isSignRequests(@Nullable ProfileRequestContext profileRequestContext)
Get the predicate used to determine if generated requests should be signed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  predicate used to determine if generated requests should be signed

### isSignResponses

@ConfigurationSetting(name="signResponses") boolean isSignResponses(@Nullable ProfileRequestContext profileRequestContext)
Get the predicate used to determine if generated responses should be signed.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  predicate used to determine if generated responses should be signed

### getMessageHandler

@ConfigurationSetting(name="messageHandler") @Nullable Function<MessageContext,Exception> getMessageHandler(@Nullable MessageContext messageContext)
Get a custom handler for a SAML message produced or consumed by this profile.

This function MUST be stateless and reusable if statically configured, or may be stateful if obtained by means of a more dynamic strategy.

The use of the `Function` API rather than the OpenSAML `MessageHandler` API is a concession to making scripted or otherwise non-Java implementations easily usable, and avoiding the explicit need to raise exceptions to signal errors, in cases where doing do is awkward.

Parameters:
  `messageContext` - message context
Returns:
  message handler